All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface ExportSelectorInterface

All Known Subinterfaces:
  OLAPExportSelectorInterface

All Known Implementing Classes:
  BaseExportSelectorAdapter, OLAPExportSelectorAdapter, RelationalExportSelectorAdapter

    public interface ExportSelectorInterface

Represents an adapter for the ExportSelector

Since:
  3.1
See Also:
  `ExportSelectorCommand`

Field Summary
`static java.lang.String` | `ALL_ROWS` When all the rows must be exported this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `EXCEL_CSV_OUTPUT_TYPE` When the Excel Comma Separated Values has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `EXCEL_HTML_OUTPUT_TYPE` When the Excel HTML has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `EXCEL_TSV_OUTPUT_TYPE` When the Excel Tab Separated Values has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `EXCEL_XML_OUTPUT_TYPE` When the Excel XML has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `EXPORT_TO` When an 'Export to' has to be performed this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `FORMATTED_DATA` When formatted data must be exported this is the value passed to the ExportSelectorCommand.
`static int` | `MAX_NROWS` The default maximum number of rows that can be exported.
`static int` | `MIN_NROWS` The default minimum number of rows that can be exported.
`static java.lang.String` | `NOT_REPEAT_ROW_LABELS` (multidimensional data only) When the row labels of the expanded rows must not be repeated in each row during the exporting, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `PARTIAL_ROWS` When partial rows must be exported this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `RAW_DATA` When raw data must be exported this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `REPEAT_ROW_LABELS` (multidimensional data only) When the row labels of the expanded rows must be repeated in each row during the exporting, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `SAVE_AS` When a 'Save as' has to be performed this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `WORD_HTML_OUTPUT_TYPE` When the Word HTML has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand.
`static java.lang.String` | `XLSX_OUTPUT_TYPE` When XLSX has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand.

Method Summary
`int` | `getFromRowCount()` If partial rows must be exported it returns the row number of the first row to export.
`java.lang.String` | `getIncludeRows()` Returns the value indicating if all the rows or only partial rows must be exported.
`int` | `getNRows()` Returns the number of rows to export
`java.lang.String` | `getOutputType()` Returns the output type that has been selected in the selector.
`int` | `getStartRow()` Returns the ordinal in the model of the first row to be exported
`int` | `getToRowCount()` If partial rows must be exported it returns the row number of the last row to export.
`boolean` | `isFormattedData()` Returns true if formatted data must be exported, false otherwise.
`boolean` | `isRawDataAvailable()` Deprecated.
`void` | `setFromRowCount(int fromRow)` If partial rows must be exported it sets the row number of the first row to export.
`void` | `setIncludeRows(java.lang.String rows)` Sets the value that indicates if all the rows or only partial rows must be exported.
`void` | `setIsFormattedData(boolean isFormattedData)` Sets the flag indicating if formatted data must be exported.
`void` | `setOutputType(java.lang.String outputType)` Sets the output type that has been selected in the selector.
`void` | `setToRowCount(int toRow)` If partial rows must be exported it sets the row number of the last row to export.

Field Detail

### EXCEL_TSV_OUTPUT_TYPE

    static final java.lang.String EXCEL_TSV_OUTPUT_TYPE

  When the Excel Tab Separated Values has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand. "TSV"

  See Also:
    Constant Field Values

### EXCEL_CSV_OUTPUT_TYPE

    static final java.lang.String EXCEL_CSV_OUTPUT_TYPE

  When the Excel Comma Separated Values has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand. "CSV"

  See Also:
    Constant Field Values

### EXCEL_XML_OUTPUT_TYPE

    static final java.lang.String EXCEL_XML_OUTPUT_TYPE

  When the Excel XML has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand. "XML"

  See Also:
    Constant Field Values

### EXCEL_HTML_OUTPUT_TYPE

    static final java.lang.String EXCEL_HTML_OUTPUT_TYPE

  When the Excel HTML has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand. "HTML"

  See Also:
    Constant Field Values

### WORD_HTML_OUTPUT_TYPE

    static final java.lang.String WORD_HTML_OUTPUT_TYPE

  When the Word HTML has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand. "WHTML"

  See Also:
    Constant Field Values

### XLSX_OUTPUT_TYPE

    static final java.lang.String XLSX_OUTPUT_TYPE

  When XLSX has been chosen as the output type in the Export Selector, this is the value passed to the ExportSelectorCommand. "XLSX"

  See Also:
    Constant Field Values

### ALL_ROWS

    static final java.lang.String ALL_ROWS

  When all the rows must be exported this is the value passed to the ExportSelectorCommand. "A"

  See Also:
    `PARTIAL_ROWS`, Constant Field Values

### PARTIAL_ROWS

    static final java.lang.String PARTIAL_ROWS

  When partial rows must be exported this is the value passed to the ExportSelectorCommand. "R"

  See Also:
    `ALL_ROWS`, Constant Field Values

### EXPORT_TO

    static final java.lang.String EXPORT_TO

  When an 'Export to' has to be performed this is the value passed to the ExportSelectorCommand. "E"

  See Also:
    `SAVE_AS`, Constant Field Values

### SAVE_AS

    static final java.lang.String SAVE_AS

  When a 'Save as' has to be performed this is the value passed to the ExportSelectorCommand. "S"

  See Also:
    `EXPORT_TO`, Constant Field Values

### FORMATTED_DATA

    static final java.lang.String FORMATTED_DATA

  When formatted data must be exported this is the value passed to the ExportSelectorCommand. "1"

  See Also:
    `RAW_DATA`, Constant Field Values

### RAW_DATA

    static final java.lang.String RAW_DATA

  When raw data must be exported this is the value passed to the ExportSelectorCommand. "0"

  See Also:
    `FORMATTED_DATA`, Constant Field Values

### REPEAT_ROW_LABELS

    static final java.lang.String REPEAT_ROW_LABELS

  (multidimensional data only) When the row labels of the expanded rows must be repeated in each row during the exporting, this is the value passed to the ExportSelectorCommand. "1"

  See Also:
    `NOT_REPEAT_ROW_LABELS`, Constant Field Values

### NOT_REPEAT_ROW_LABELS

    static final java.lang.String NOT_REPEAT_ROW_LABELS

  (multidimensional data only) When the row labels of the expanded rows must not be repeated in each row during the exporting, this is the value passed to the ExportSelectorCommand. "0"

  See Also:
    `REPEAT_ROW_LABELS`, Constant Field Values

### MIN_NROWS

    static final int MIN_NROWS

  The default minimum number of rows that can be exported. 1

  See Also:
    `#MIN_ROWS`, Constant Field Values

### MAX_NROWS

    static final int MAX_NROWS

  The default maximum number of rows that can be exported. 500000

  See Also:
    `#MAX_ROWS`, Constant Field Values

Method Detail

### getOutputType

    java.lang.String getOutputType()

  Returns the output type that has been selected in the selector.

  Returns:
    String the output type that has been selected in the selector. Possible values are: `EXCEL_TSV_OUTPUT_TYPE`, `EXCEL_CSV_OUTPUT_TYPE`, `EXCEL_XML_OUTPUT_TYPE`, `EXCEL_HTML_OUTPUT_TYPE`

### setOutputType

    void setOutputType(java.lang.String outputType)

  Sets the output type that has been selected in the selector.

  Parameters:
    `outputType` - the output type that has been selected in the selector. Valid values are: `EXCEL_TSV_OUTPUT_TYPE`, `EXCEL_CSV_OUTPUT_TYPE`, `EXCEL_XML_OUTPUT_TYPE`, `EXCEL_HTML_OUTPUT_TYPE`

### getIncludeRows

    java.lang.String getIncludeRows()

  Returns the value indicating if all the rows or only partial rows must be exported.

  Returns:
    String the value indicating if all the rows or only partial rows must be exported. Possible values are: `ALL_ROWS` or `PARTIAL_ROWS`.

### setIncludeRows

    void setIncludeRows(java.lang.String rows)

  Sets the value that indicates if all the rows or only partial rows must be exported.

  Parameters:
    `rows` - the value indicating if all the rows or only partial rows must be exported. Possible values are: `ALL_ROWS` or `PARTIAL_ROWS`.

### getFromRowCount

    int getFromRowCount()

  If partial rows must be exported it returns the row number of the first row to export.

  Returns:
    int the row number of the first row to export.

### setFromRowCount

    void setFromRowCount(int fromRow)

  If partial rows must be exported it sets the row number of the first row to export.

  Parameters:
    `fromRow` - the row number of the first row to export.

### getToRowCount

    int getToRowCount()

  If partial rows must be exported it returns the row number of the last row to export.

  Returns:
    int the row number of the last row to export.

### setToRowCount

    void setToRowCount(int toRow)

  If partial rows must be exported it sets the row number of the last row to export.

  Parameters:
    `toRow` - the row number of the last row to export.

### isFormattedData

    boolean isFormattedData()

  Returns true if formatted data must be exported, false otherwise.

  Returns:
    boolean true if formatted data must be exported, false otherwise.

### setIsFormattedData

    void setIsFormattedData(boolean isFormattedData)

  Sets the flag indicating if formatted data must be exported.

  Parameters:
    `isFormattedData` - true if formatted data must be exported, false otherwise.

### getStartRow

    int getStartRow()

  Returns the ordinal in the model of the first row to be exported

  Returns:
    int the ordinal in the model of the first row to be exported

### getNRows

    int getNRows()

  Returns the number of rows to export

  Returns:
    int the number of rows to export

### isRawDataAvailable

    boolean isRawDataAvailable()

  Deprecated.

  Returns true if the model can return raw data, false if the model can return only formatted data

  Returns:
    boolean true if the model can return raw data, false if the model can return only formatted data

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.